addftinfo(1)

Nume
addftinfo - adaugă metrici de font la fonturile troff pentru utilizare cu groff

Rezumat
addftinfo [-asc-height n] [-body-depth n] [-body-height n] [-cap-height n] [-comma-depth n] [-desc-depth n] [-fig-height n] [-x-height n] rezoluție lățime-unitate font
addftinfo --help
addftinfo -v
addftinfo --version

Descriere
addftinfo citește un fișier de descriere a fonturilor AT&T troff font, adaugă informații suplimentare privind metrica fonturilor cerute de GNU troff(1) și scrie rezultatul combinat la ieșirea standard. Informațiile adăugate sunt derivate din parametrii existenți ai fontului și din ipotezele privind denumirile tradiționale troff pentru caractere. Printre parametrii de font adăugați se numără înălțimile și adâncimile caracterelor (cât de mult se extinde fiecare pe verticală deasupra și sub linia de bază). Argumentele rezoluție și lățime-unitate trebuie să fie identice cu parametrii corespunzători din fișierul DESC. font este numele fișierului ce descrie fontul; dacă font se termină cu „I”, fontul se presupune că este oblic (sau italic/cursiv).

Opțiuni
--help afișează un mesaj de utilizare, în timp ce -v și --version afișează informații despre versiune; toate acestea ies după aceea.

Toate celelalte opțiuni modifică parametrii care sunt utilizați pentru a obține înălțimile și adâncimile. La fel ca și mărimile existente în fișierul de descriere a fontului, fiecare valoare n este în puncte scalate, inci/rezoluție pentru un font a cărui dimensiune de tip este lățime-unitate; a se vedea groff_font(5)

-asc-height n
    înălțimea caracterelor cu ascendenți, cum ar fi „b”, „d” sau „l”

-body-depth n
    adâncimea caracterelor, cum ar fi parantezele

-body-height n
    înălțimea caracterelor, cum ar fi parantezele

-cap-height n
    înălțimea literelor majuscule, cum ar fi „A”

-comma-depth n
    adâncimea unei virgule

-desc-depth n
    adâncimea caracterelor cu descendenți, cum ar fi „p”, „q” sau „y”

-fig-height
    înălțimea cifrelor (numere)

-x-height n
    înălțimea literelor minuscule fără ascendent, cum ar fi „x”

addftinfo nu încearcă să utilizeze parametrii specificați pentru a deduce parametrii nespecificați. Dacă nu se specifică un parametru, se va utiliza valoarea implicită. Valorile implicite sunt alese pentru a produce valori rezonabile pentru un font „Times”.

Consultați și
groff_font(5), groff(1), groff_char(7)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.